Skip to main content
POST
Create a presigned mailbox attachment upload

Authorizations

Authorization
string
header
required

Qubrics API key. Use a root API key for Management API routes, or a mailbox credential for Mailbox API routes. Obtain keys from the dashboard under API Keys.

Scopes

email.send

Send email through the HTTP API

mailbox.read

Read mailbox contents (folders, messages)

mailbox.drafts.write

Create and edit saved mailbox drafts

Query Parameters

mailbox_id
string

Mailbox public ID to target when the credential grants access to more than one mailbox. Omit when the credential is scoped to exactly one mailbox.

Body

application/json
content_type
string
required

Content-Type that must be sent on the later PUT request.

Example:

"application/pdf"

filename
string
required

Filename to use when sending the uploaded attachment.

size_bytes
integer
required

Exact byte length that must be sent on the later PUT request.

Required range: x >= 1

Response

Attachment upload URL created

meta
object
required
ok
enum<boolean>
required
Available options:
true
data
object
required